BEISPIEL(8)

BEZEICHNUNG
mkfs.cramfs - ein komprimiertes ROM-Dateisystem erzeugen

ÜBERSICHT
mkfs.cramfs [Optionen] Verzeichnis Datei

BESCHREIBUNG
Dateien in cramfs-Dateisystemen sind mit dem Zlib-Algorithmus seitenweise komprimiert, um zufälligen Lesezugriff zu ermöglichen. Die Metadaten sind nicht komprimiert, werden aber knapper und damit platzsparender als in anderen Dateisystemen dargestellt.

Das Dateisystem ist absichtlich schreibgeschützt, um sein Design zu vereinfachen. Zufälliger Schreibzugriff auf komprimierte Dateien ist schwierig zu implementieren. Mit cramfs wird das Dienstprogramm mkcramfs geliefert, mit dem Sie Dateien in neue cramfs-Images packen können.

Dateigrößen sind auf maximal 16 MB begrenzt.

Die maximale Dateisystemgröße liegt knapp unter 272 MB. Die letzte Datei des Systems muss vor dem 256-MB-Block beginnen, darf aber dahinter enden.

ARGUMENTE
Das Verzeichnis ist die Wurzel des Verzeichnisbaums, aus dem ein komprimiertes Dateisystem erstellt werden soll.

Die Datei enthält das Cram-Dateisystem, welches später eingehängt werden kann.

OPTIONEN

-v  aktiviert den ausführlichen Modus.

-E  fasst alle Warnungen, die als Rückgabewert von Befehlen ausgegeben werden, als Fehler auf.

-b Blockgröße
    verwendet die angegebene Blockgröße, welche durch die Seitengröße teilbar sein muss.

-e Ausgabe
    verwendet die angegebene Zahl als Ausgabenummer des Systems im Superblock.

-N big, little, host
    verwendet die angegebene Bytereihenfolge. Die Voreinstellung ist host.

-i Datei
    fügt eine Datei in das cramfs-Dateisystem ein.

-n Name
    legt den Namen des Dateisystems fest.

-p  füllt auf 512 Bytes für den Boot-Code auf.

-s  Diese Option wird ignoriert. Ursprünglich wurde mit -s die Sortierung der Verzeichniseinträge veranlasst.

-z  legt ausdrücklich Löcher im Dateisystem an. Dafür ist ein Kernel in Version 2.3.39 oder neuer erforderlich.

-V  zeigt Versionsinformationen an und beendet das Programm.

-h  zeigt eine Hilfe an und beendet das Programm.

RÜCKGABEWERT
    0   Erfolg
    8   Betriebsfehler, beispielsweise konnte kein Speicher zugewiesen werden

SIEHE AUCH
mount(8), fsck.cramfs(8)

VERFÜGBARKEIT
Der Befehl mkfs.cramfs ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.